> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyebsvolumeparameters-object.md).

# AmazonCopyEbsVolumeParameters Object

## Description

Parameters for the Amazon Copy EBS Volume action.

## Properties

### AttachToInstance

Indicates the EC2 instance details when the new EBS volume is to be attached to an EC2 instance.

Type: [AttachVolumeToInstanceParameters ](/data-types/attachvolumetoinstanceparameters-object.md)object

Required: No

### consistencyMethod

Consistency method to use when creating the EBS snapshot.

Type: `string`

Valid Values:

* `none`
* `stop-instance`

Required: No

Default: `none`

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### volumeIdentificationMethod

Method in which EBS volumes will be selected.

Type: `string`

Valid Values:

* `by-volume-id`

Required: Yes

### volumeId

ID of the EBS volume to be copied. Required when `volumeIdentificationMethod` is `by-volume-id`.

Type: `string`

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "volumeIdentificationMethod": "by-volume-id",
    "volumeId": "vol-00000001",
    "consistencyMethod": "stop-instance",

    "attachToInstance": {
        "instanceIdentificationMethod": "by-instance-id",
        "instanceId": "i-00000001",
        "isDetachExistingDevice": true,
        "isStopInstance": true
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncopyebsvolumeparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
